SplFileInfo::getFileInfo
SplFileInfo::getGroup
SplFileInfo
PHP Manual

# SplFileInfo::getFilename

(PHP 5 >= 5.1.2)

SplFileInfo::getFilename — Gets the filename

### Description

public string SplFileInfo::getFilename ( void )

Gets the filename without any path information.

### Parameters

This function has no parameters.

### Return Values

The filename.

### Examples

Example #1 SplFileInfo::getFilename() example

`<?php
$info = new SplFileInfo('foo.txt');
var_dump($info->getFilename());
$info = new SplFileInfo('/path/to/foo.txt');
var_dump($info->getFilename());
$info = new SplFileInfo('http://www.php.net/');
var_dump($info->getFilename());
$info = new SplFileInfo('http://www.php.net/svn.php');
var_dump($info->getFilename());
?>`

The above example will output something similar to:

    string(7) "foo.txt"
    string(7) "foo.txt"
    string(0) ""
    string(7) "svn.php"

### See Also

- SplFileInfo::getBasename - Gets the base name of the file

SplFileInfo::getFileInfo
SplFileInfo::getGroup
SplFileInfo
PHP Manual